aboutsummaryrefslogtreecommitdiff
path: root/source/1.0/src/shflags_test_public.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/1.0/src/shflags_test_public.sh')
-rwxr-xr-xsource/1.0/src/shflags_test_public.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/source/1.0/src/shflags_test_public.sh b/source/1.0/src/shflags_test_public.sh
index ea16bb0..f44c275 100755
--- a/source/1.0/src/shflags_test_public.sh
+++ b/source/1.0/src/shflags_test_public.sh
@@ -117,6 +117,17 @@ EOF
&& cat "${stderrF}"
}
+testNoHelp()
+{
+ flags_getoptIsEnh || startSkipping
+
+ ( FLAGS --nohelp >"${stdoutF}" 2>"${stderrF}" )
+ rtrn=$?
+ assertTrue "FLAGS returned a non-zero result (${rtrn})" ${rtrn}
+ assertFalse 'expected no output to STDOUT' "[ -s '${stdoutF}' ]"
+ assertFalse 'expected no output to STDERR' "[ -s '${stderrF}' ]"
+}
+
#------------------------------------------------------------------------------
# suite functions
#